<?php

namespace App\Database\Seeds;

use CodeIgniter\Database\Seeder;

class ProductsSeeder extends Seeder
{
	public function run()
    {
        $data = [
            [
                'name'        => 'Nasi Padang',
                'price'       => rand(5, 10) * 5000,
                'product_category_id' => 1,
                'thumbnail'   => 'nasi_padang.jpg',
                'image_url'   => null,
                'description' => 'Nasi dengan aneka lauk Padang',
                'active'      => 1,
                'created_at'  => date('Y-m-d H:i:s'),
                'updated_at'  => date('Y-m-d H:i:s'),
                'deleted_at'  => null,
            ],
            [
                'name'        => 'Nasi Rendang',
                'price'       => rand(5, 10) * 5000,
                'product_category_id' => 1,
                'thumbnail'   => 'rendang.jpg',
                'image_url'   => null,
                'description' => 'Daging sapi rendang yang lezat',
                'active'      => 1,
                'created_at'  => date('Y-m-d H:i:s'),
                'updated_at'  => date('Y-m-d H:i:s'),
                'deleted_at'  => null,
            ],
            [
                'name'        => 'Nasi Gulai Ayam',
                'price'       => rand(5, 10) * 5000,
                'product_category_id' => 1,
                'thumbnail'   => 'gulai_ayam.jpg',
                'image_url'   => null,
                'description' => 'Ayam dengan kuah gulai yang kaya rasa',
                'active'      => 1,
                'created_at'  => date('Y-m-d H:i:s'),
                'updated_at'  => date('Y-m-d H:i:s'),
                'deleted_at'  => null,
            ],
            [
                'name'        => 'Dendeng Balado',
                'price'       => rand(5, 10) * 5000,
                'product_category_id' => 2,
                'thumbnail'   => 'dendeng_balado.jpg',
                'image_url'   => null,
                'description' => 'Daging sapi dendeng dengan sambal balado pedas',
                'active'      => 1,
                'created_at'  => date('Y-m-d H:i:s'),
                'updated_at'  => date('Y-m-d H:i:s'),
                'deleted_at'  => null,
            ],
            [
                'name'        => 'Sate Padang',
                'price'       => rand(5, 10) * 5000,
                'product_category_id' => 1,
                'thumbnail'   => 'sate_padang.jpg',
                'image_url'   => null,
                'description' => 'Sate dengan bumbu Padang khas',
                'active'      => 1,
                'created_at'  => date('Y-m-d H:i:s'),
                'updated_at'  => date('Y-m-d H:i:s'),
                'deleted_at'  => null,
            ],
            [
                'name'        => 'Gulai Ikan',
                'price'       => rand(5, 10) * 5000,
                'product_category_id' => 1,
                'thumbnail'   => 'gulai_ikan.jpg',
                'image_url'   => null,
                'description' => 'Ikan dengan kuah gulai yang lezat',
                'active'      => 1,
                'created_at'  => date('Y-m-d H:i:s'),
                'updated_at'  => date('Y-m-d H:i:s'),
                'deleted_at'  => null,
            ],
            [
                'name'        => 'Gado-gado Padang',
                'price'       => rand(5, 10) * 5000,
                'product_category_id' => 2,
                'thumbnail'   => 'gado_gado_padang.jpg',
                'image_url'   => null,
                'description' => 'Sayur-sayuran dengan kuah kacang khas Padang',
                'active'      => 1,
                'created_at'  => date('Y-m-d H:i:s'),
                'updated_at'  => date('Y-m-d H:i:s'),
                'deleted_at'  => null,
            ],
            [
                'name'        => 'Ayam Pop',
                'price'       => rand(5, 10) * 5000,
                'product_category_id' => 2,
                'thumbnail'   => 'ayam_pop.jpg',
                'image_url'   => null,
                'description' => 'Ayam dengan bumbu pop khas Padang',
                'active'      => 1,
                'created_at'  => date('Y-m-d H:i:s'),
                'updated_at'  => date('Y-m-d H:i:s'),
                'deleted_at'  => null,
            ],
            [
                'name'        => 'Gulai Tunjang',
                'price'       => rand(5, 10) * 5000,
                'product_category_id' => 2,
                'thumbnail'   => 'gulai_tunjang.jpg',
                'image_url'   => null,
                'description' => 'Daging kaki sapi dengan kuah gulai khas Padang',
                'active'      => 1,
                'created_at'  => date('Y-m-d H:i:s'),
                'updated_at'  => date('Y-m-d H:i:s'),
                'deleted_at'  => null,
            ],
            [
                'name'        => 'Sambalado',
                'price'       => rand(5, 10) * 5000,
                'product_category_id' => 2,
                'thumbnail'   => 'sambalado.jpg',
                'image_url'   => null,
                'description' => 'Sambal balado pedas untuk pelengkap hidangan',
                'active'      => 1,
                'created_at'  => date('Y-m-d H:i:s'),
                'updated_at'  => date('Y-m-d H:i:s'),
                'deleted_at'  => null,
            ],
            [
                'name'        => 'Keripik Sanjay',
                'price'       => rand(5, 10) * 5000,
                'product_category_id' => 2,
                'thumbnail'   => 'keripik_sanjay.jpg',
                'image_url'   => null,
                'description' => 'Keripik sanjay dengan rasa yang gurih',
                'active'      => 1,
                'created_at'  => date('Y-m-d H:i:s'),
                'updated_at'  => date('Y-m-d H:i:s'),
                'deleted_at'  => null,
            ],
            [
                'name'        => 'Es Teh',
                'price'       => rand(5, 10) * 5000,
                'product_category_id' => 3,
                'thumbnail'   => 'keripik_sanjay.jpg',
                'image_url'   => null,
                'description' => 'Keripik sanjay dengan rasa yang gurih',
                'active'      => 1,
                'created_at'  => date('Y-m-d H:i:s'),
                'updated_at'  => date('Y-m-d H:i:s'),
                'deleted_at'  => null,
            ],
        ];

        $this->db->table('products')->insertBatch($data);
    }
}
